<template>
  <div class="vertical-rotated-container">
    <div class="scroll-wrapper" ref="scroll">
      <div class="scroll-content">
        <div class="scroll-item" v-for="num in nums" :key="num">
          <div :class="`img-warp${num}`"></div>
        </div>
      </div>
    </div>
    <img
      src="../assets/images/header/header_huishou.webp"
      alt=""
      class="stage_huishou"
      @click="hidden"
    />
  </div>
</template>
<script>
import BScroll from "better-scroll";

export default {
  data() {
    return {
      nums: 3,
    };
  },
  mounted() {
    this.init();
  },
  beforeDestroy() {
    this.bs.destroy();
  },
  methods: {
    init() {
      this.bs = new BScroll(this.$refs.scroll, {
        click: true,
        // v2.3.0
        scrollX: true,
        quadrant: 2, // rotate90
      });
    },
    hidden() {
      this.$router.push("/home");
    },
  },
};
</script>

<style lang="scss" scoped>
.vertical-rotated-container {
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  padding: 46px 0 86px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  .scroll-wrapper {
    height: 588px;
    width: calc(100% - 47px);
    position: absolute;
    overflow: hidden;
  }
  .scroll-content {
    width: 3600px;
    overflow: hidden;
    transform: translateX(0px) translateY(0px) translateZ(1px);
  }
  .scroll-item {
    float: left;
    width: 1200px;
    height: 588px;
    line-height: 100px;
    font-size: 24px;
    font-weight: bold;
    text-align: center;
    overflow: hidden;
    position: relative;
    .img-warp1 {
      width: 1100px;
      height: 688px;
      background-image: url("../assets/images/backstage/BK1.webp");
      background-size: 1100px 574px;
      background-repeat: no-repeat;
    }
    .img-warp2 {
      width: 1100px;
      height: 615px;
      background-image: url("../assets/images/backstage/BK2.webp");
      background-size: 1100px 605px;
    }
    .img-warp3 {
      width: 1026px;
      height: 615px;
      background-image: url("../assets/images/backstage/BK3.webp");
      background-size: 1100px 605px;
    }
    img {
      height: auto;
      width: 100%;
    }
  }
  .stage_huishou {
    width: 112px;
    height: 112px;
    position: absolute;
    bottom: 125px;
    pointer-events: auto;
  }
}
</style>
